ostree (2025.6-1) unstable; urgency=medium

  * New upstream release
  * d/ostree-boot.install: Be less specific about the filenames used.
    2025.6 changed the sequence number for the dracut hook.

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 17:21:45 +0100

ostree (2025.5-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 11:11:13 +0100

ostree (2025.4-1) unstable; urgency=medium

  * New upstream release
  * Rebase patch series
  * d/libostree-1-1.symbols: Update
  * d/copyright: Update
  * d/control: Add jq to Build-Depends and -tests Depends
  * Prefer the OpenSSL flavour of libcurl.
    This is the one that upstream is going to be testing with in practice.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 20:12:13 +0100

ostree (2025.2-1) unstable; urgency=medium

  * New upstream release
  * Add myself to Uploaders (Closes: #1099068)
  * Don't install usr/lib/systemd/system/ostree-finalize-staged.path anymore
      in ostree-boot, it was dropped upstream.
  * Update debian/libostree-1-1.symbols
  * Standards-Version: 4.7.2 (no changes required)
  * d/copyright: Remove the old postal address of the Free Software Foundation
  * d/control: add new dependencies for libostree-dev

 -- Dylan Aïssi <daissi@debian.org>  Tue, 01 Apr 2025 17:17:30 +0200

ostree (2025.1-1) unstable; urgency=medium

  * New upstream release
  * d/libostree-1-1.symbols: Update
  * d/control: Use ${gir:Depends}, ${gir:Provides} in -dev package
    if available. Don't completely rely on those variables, for
    backportability.

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Jan 2025 10:46:58 +0000

ostree (2024.10-1) unstable; urgency=medium

  * New upstream release
  * d/salsa-ci.yml: Use recommended recipe
  * d/salsa-ci.yml: Re-enable tests

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Dec 2024 17:05:32 +0000

ostree (2024.9-1) unstable; urgency=medium

  * New upstream release
  * d/p/tests-Work-around-GPG-2.2.45-error-behaviour-when-revokin.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Nov 2024 09:27:19 +0000

ostree (2024.8-2) unstable; urgency=medium

  * d/p/tests-Work-around-GPG-2.2.45-error-behaviour-when-revokin.patch:
    Add proposed patch to work around a test failure with gnupg 2.2.45
    (Mitigates: #1086140)

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Oct 2024 11:00:06 +0000

ostree (2024.8-1) unstable; urgency=medium

  * New upstream release
  * d/p/curl-Assert-that-curl_multi_assign-worked.patch,
    d/p/curl-Make-socket-callback-during-cleanup-into-no-op.patch:
    Drop patches that were included in the new upstream release

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Sep 2024 18:49:10 +0100

ostree (2024.7-3) unstable; urgency=high

  * d/p/curl-Assert-that-curl_multi_assign-worked.patch,
    d/p/curl-Make-socket-callback-during-cleanup-into-no-op.patch:
    Add patches from upstream to avoid libflatpak crash with curl 8.10.x
    (Closes: #1082121)
  * d/copyright: Remove obsolete stanzas
  * Standards-Version: 4.7.0 (no changes required)
  * Set high urgency since the version of libcurl that triggered the
    regression has already migrated

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Sep 2024 09:57:08 +0100

ostree (2024.7-2) unstable; urgency=medium

  * d/control, d/rules: Disable gjs-based tests on armel.
    It's looking as though mozjs128, and therefore the next gjs release,
    will not support armel due to its lack of atomic instructions causing
    relatively basic features to be disabled. (Helps: #1080521)

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Sep 2024 18:16:11 +0100

ostree (2024.7-1) unstable; urgency=medium

  * New upstream release
    - debian/libostree-1-1.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jul 2024 10:21:26 +0100

ostree (2024.6-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Disable libcomposefs support.
    libcompose is not yet packaged in Debian (RFP: #1064457) and there
    is no longer a vendored copy included in ostree. I am not able to
    take responsibility for maintenance of libcompose, but I have no
    objection to re-enabling the relevant libostree features if someone
    else packages it.

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Jun 2024 16:06:43 +0100

ostree (2024.5-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 16:15:22 +0000

ostree (2024.4-1) unstable; urgency=medium

  * New upstream release
  * Drop non-Debian-specific patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Mar 2024 10:54:27 +0000

ostree (2024.3-1) unstable; urgency=medium

  * New upstream release
  * d/p/tests-Generalize-has_gpgme-has_sign_ed25519-into-has_ostr.patch,
    d/p/tests-Use-skip_without_ostree_feature-to-detect-libarchiv.patch,
    d/p/test-admin-deploy-var-Don-t-rely-on-OSTREE_FEATURES.patch:
    Add proposed patches to fix an autopkgtest failure

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Feb 2024 21:02:32 +0000

ostree (2024.2-1) unstable; urgency=medium

  * New upstream release
  * Re-enable composefs.
    We can't run its unit tests on a Debian 12 kernel with /var/tmp on
    tmpfs, but they do pass on a sid kernel or if /var/tmp is disk-backed.
  * Build-depend on dh-sequence-gir instead of using --with
  * Update Lintian overrides for ostree-boot

 -- Simon McVittie <smcv@debian.org>  Sun, 11 Feb 2024 14:42:35 +0000

ostree (2024.1-1) unstable; urgency=medium

  * New upstream release
  * Package ostree-state-overlay@.service in ostree-boot

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Jan 2024 10:21:50 +0000

ostree (2023.8-2) unstable; urgency=medium

  * d/control, d/rules: Enable cross-compilation.
    When cross-compiling, this requires a version of gobject-introspection
    that is currently only available in experimental. When not
    cross-compiling, the version in testing is sufficient.

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Dec 2023 15:34:37 +0000

ostree (2023.8-1) unstable; urgency=medium

  * New upstream release
  * d/libostree-1-1.symbols: Update
  * d/p/bootloader-zipl-No-op-if-run-as-non-root.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Dec 2023 10:35:12 +0000

ostree (2023.7-3) unstable; urgency=medium

  * Remove version constraints unnecessary since bullseye
  * Remove maintscript entries unnecessary since bullseye
  * d/p/debian/Skip-test-admin-deploy-uboot.sh-on-s390x.patch:
    Really skip test-admin-deploy-uboot.sh on s390x

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2023 09:45:08 +0000

ostree (2023.7-2) unstable; urgency=medium

  * d/p/bootloader-zipl-No-op-if-run-as-non-root.patch:
    Add patch from upstream to avoid build-time test failure on s390x
  * d/p/debian/Skip-test-admin-deploy-uboot.sh-on-s390x.patch:
    Add patch to avoid another test failure on s390x
  * libostree-1-dev Provides gir1.2-ostree-1.0-dev.
    This is likely to be useful in the migration path to being able to turn
    off GObject-Introspection bindings when bootstrapping or cross-compiling.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Oct 2023 11:33:28 +0100

ostree (2023.7-1) unstable; urgency=medium

  * New upstream release
  * Install systemd system units into /usr/lib/systemd/system.
    This was allowed by TC resolution #1053901. Build-depend on debhelper
    13.11.6~ to ensure that the units are still picked up by
    dh_installsystemd.
  * Depend on pkgconf in preference to pkg-config

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Oct 2023 10:36:48 +0100

ostree (2023.6-2) unstable; urgency=medium

  * d/rules: Disable composefs for now.
    Official buildds don't seem to support fsetxattr on the filesystem used
    for /var/tmp, which is required for the composefs tests.

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Sep 2023 12:06:27 +0100

ostree (2023.6-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Enable composefs support.
    This is now on by default when compiled with sufficiently new kernel
    headers.
  * d/ostree-tests.install: Adjust for move of trivial-httpd to
    installed-tests directory

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Sep 2023 18:52:19 +0100

ostree (2023.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * deiban/libostree-1-1.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 10:01:24 -0400

ostree (2023.3-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Jun 2023 20:48:45 +0100

ostree (2023.3-1) experimental; urgency=medium

  * New upstream release
  * d/patches: Drop patch that was applied upstream
  * d/control: Update GObject-Introspection build-dependency
  * d/control, d/rules: Use libsoup 3 for test code

 -- Simon McVittie <smcv@debian.org>  Sat, 27 May 2023 17:34:25 +0100

ostree (2023.1-2) experimental; urgency=medium

  * d/control: Drop compatibility with bsdmainutils older than Debian 11
  * Standards-Version: 4.6.2 (no changes required)
  * Add patch to ensure capsh is found in tests' PATH (Closes: #1031353)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Feb 2023 12:42:45 +0000

ostree (2023.1-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/libostree-1-1.symbols: Update
  * d/p/configure-use-pkg-config-with-newer-gpgme-and-gpg-error.patch:
    Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Feb 2023 11:17:55 +0000

ostree (2022.7-2) unstable; urgency=medium

  * Skip test-sysroot.js on s390x (Mitigates: #1025532)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Dec 2022 11:11:05 +0000

ostree (2022.7-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/libostree-1-1.symbols: Update
  * Update Lintian overrides
  * d/p/configure-use-pkg-config-with-newer-gpgme-and-gpg-error.patch:
    Add patch from Luca Bruno to fix FTBFS with current gpgme Debian packages
  * d/rules: Update for removal of libreaddir-rand.so LD_PRELOAD module

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Nov 2022 10:54:28 +0000

ostree (2022.6-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on libext2fs-dev instead of transitional e2fslibs-dev
  * Don't install s390x-se-luks-gencpio script.
    It was reimplemented in C as part of ostree(1).
  * Install another early-boot service in ostree-boot

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Oct 2022 10:48:34 +0100

ostree (2022.5-4) unstable; urgency=medium

  * Re-enable gjs-based tests on armel.
    Adrian Bunk and Mike Hommey were able to fix mozjs102 on armel, so we
    can continue to have gjs on that architecture for Debian 12.
  * d/watch: Adapt to Github website changes

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Oct 2022 10:19:36 +0100

ostree (2022.5-3) unstable; urgency=medium

  * d/control, d/rules: Disable gjs-based tests on armel.
    It's looking as though mozjs102, and therefore the next gjs release,
    will not support armel due to its lack of atomic instructions.
  * d/control, d/rules: Re-enable gjs tests on s390x

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 09:47:41 +0100

ostree (2022.5-2) unstable; urgency=medium

  * Build with libcurl http backend instead of libsoup2.4.
    This avoids library conflicts during the transition to GNOME 43, in
    which core apps and libraries have switched to libsoup3, which conflicts
    with libsoup2.4.
    We still build-depend on libsoup2.4, because it's used in the test suite
    and installed-tests. (Closes: #1016589)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Aug 2022 10:00:02 +0100

ostree (2022.5-1) unstable; urgency=medium

  * New upstream release
  * debian/libostree-1-1.symbols: Update
  * d/copyright: Update
  * Drop patches that were applied upstream
  * Update Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Jul 2022 19:00:58 +0100

ostree (2022.4-2) unstable; urgency=medium

  [ Dan Nicholson ]
  * Backport patch to fix 2022.4 symbol version parent

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jun 2022 20:58:51 +0100

ostree (2022.4-1) unstable; urgency=medium

  [ Dan Nicholson ]
  * New upstream release
    - Drop patches that were applied upstream
  * d/control: Bump libglib2.0-dev dependency to 2.66.0
  * Add new ostree-boot-complete.service unit to ostree-boot

  [ Simon McVittie ]
  * d/copyright: Update
  * New upstream release
  * d/libostree-1-1.symbols: Update
  * d/p/test-basic-c-Don-t-assert-that-extended-attributes-are-av.patch:
    Add patch to skip a test-case if /var/tmp doesn't support xattrs

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 16:35:46 +0100

ostree (2022.2-3) unstable; urgency=medium

  * d/rules: Correct argument used to disable gjs on s390x

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Mar 2022 16:16:43 +0000

ostree (2022.2-2) unstable; urgency=medium

  * d/control: Disable JavaScript-based tests on s390x.
    Mitigates: ostreedev/ostree#2527
  * d/rules: Explicitly disable JS-based tests on architectures where
    they're unreliable, or where an up-to-date gjs is unavailable.
    Otherwise we'd build and install these tests if gjs (maybe an
    old version) happens to be installed, despite it not being in
    Build-Depends.

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Mar 2022 09:55:53 +0000

ostree (2022.2-1) unstable; urgency=medium

  * New upstream release
    - Updated libglnx submodule fixes an incompatibility with eCryptFS
      (Closes: #1004467)
  * Install new script /usr/libexec/libostree/s390x-se-luks-gencpio
    into ostree-boot
  * d/p/s390x-se-luks-gencpio-Fix-shebang-syntax.patch,
    d/p/s390x-se-luks-gencpio-Use-interoperable-path-for-bash.patch:
    Add patches to retain compatibility with non-/usr-merged systems
  * d/libostree-1-1.symbols: Update
  * d/p/test-prune-Read-to-the-end-of-cut-1-output.patch:
    Add patch to fix an intermittent test failure involving SIGPIPE
  * Revert Lintian overrides to latest released version of Lintian

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Mar 2022 21:12:45 +0000

ostree (2022.1-3) unstable; urgency=medium

  * Use debhelper 11 features instead of dh-exec
  * Move README.md from gir1.2-ostree-1.0 to libostree-doc
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Jan 2022 10:43:09 +0000

ostree (2022.1-2) experimental; urgency=medium

  * ostree Breaks flatpak-builder (<< 1.2.1-2~).
    Previous versions relied on being able to use FUSE 2 options that are
    no longer supported by FUSE 3, so prepare a lockstep transition.

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Jan 2022 12:42:08 +0000

ostree (2022.1-1) experimental; urgency=medium

  * New upstream release
  * Build using FUSE 3
  * Update syntax of Lintian overrides for newer Lintian

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Jan 2022 10:44:49 +0000

ostree (2021.6-1) unstable; urgency=medium

  * New upstream release
    - Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Dec 2021 11:39:48 +0000

ostree (2021.5-1) unstable; urgency=medium

  * New upstream release
    - Update symbols file
  * d/p/test-commit-sign.sh-Skip-a-unit-test-when-running-as-an-i.patch:
    Mark as applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 17:51:27 +0100

ostree (2021.4-1) unstable; urgency=medium

  * New upstream release
    - Update symbols file
    - d/copyright: Update
    - Drop patch that was applied upstream
  * Standards-Version: 4.6.0 (no further changes)
  * d/control: Canonicalize field name case Multi-arch => Multi-Arch
  * Bump debhelper compat level from 12 to 13
    - debian/rules: Drop --fail-missing argument to dh_missing, which is
      now the default.
  * Remove Lintian override for #947258, fixed in lintian 2.105.0
  * d/p/test-commit-sign.sh-Skip-a-unit-test-when-running-as-an-i.patch:
    Add patch to fix installed-tests

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Oct 2021 23:53:20 +0100

ostree (2021.3-2) unstable; urgency=medium

  * d/gbp.conf: Switch branch back to debian/master
  * d/p/tests-Unset-SOURCE_DATE_EPOCH.patch:
    Apply patch from upstream to fix tests with SOURCE_DATE_EPOCH
    - Revert "d/test.sh, d/tests: Unset SOURCE_DATE_EPOCH",
      no longer needed
  * d/rules: Normalize permissions of installed-tests
  * Adjust Lintian overrides.
    Recent debhelper installs units into /usr/lib/systemd, so adjust our
    override to match either way.

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Aug 2021 19:30:23 +0100

ostree (2021.3-1) experimental; urgency=medium

  * New upstream release
    - Increase build-dependency to GLib 2.44
    - d/libostree-1-1.symbols: Update
    - Drop patches that were applied upstream
  * Re-enable gjs tests on architectures where it is available
  * d/libostree-1-1.symbols: Remove a duplicate symbol
  * d/test.sh, d/tests: Unset SOURCE_DATE_EPOCH.
    Otherwise, some tests will think we're downgrading, and fail.

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Jul 2021 19:18:51 +0100

ostree (2021.2-2) experimental; urgency=medium

  * d/p/libtest-On-failure-make-it-clearer-what-has-happened.patch:
    Mark patch as applied upstream
  * d/p/tests-Test-without-a-cache-directory-by-default.patch:
    Add patch from upstream to fix intermittent FTBFS on some filesystems

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Apr 2021 10:15:06 +0100

ostree (2021.2-1) experimental; urgency=medium

  * New upstream release
    - Update symbols file
    - d/copyright: Update
  * d/test.sh: Line-buffer stdout.
    Otherwise, lines from stdout appear with an arbitrary delay, making it
    hard to tell what the order of events was.
  * d/p/libtest-On-failure-make-it-clearer-what-has-happened.patch:
    Add proposed patch to make test failures easier to debug

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Apr 2021 12:20:49 +0100

ostree (2021.1-1) experimental; urgency=medium

  * d/gbp.conf: Branch for experimental
  * New upstream release
    - Update symbols file
    - Drop a patch that was applied upstream
  * d/rules: Declare that we have grub >= 2.02.
    Debian's grub packaging runs grub-install in postinst, so we should
    be able to rely on grub actually getting updated.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Apr 2021 13:53:50 +0100

ostree (2020.8-2) unstable; urgency=medium

  * d/p/test-pull-summary-sigs-Set-timestamps-to-serve-expected-f.patch:
    Add proposed patch to fix test failures when run on tmpfs
    (Closes: #975418)

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Nov 2020 13:24:35 +0000

ostree (2020.8-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2020 14:47:09 +0000

ostree (2020.7-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file
  * Remove an unused lintian override
  * Override Lintian warning for gtk-doc outside /usr/share/doc
    (see #970275)

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Oct 2020 15:54:19 +0100

ostree (2020.6-1) unstable; urgency=medium

  * New upstream release
  * ostree-boot-examples: Update for ostree-boot being in Debian 10
  * Update documentation: separate /boot should no longer be required

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 11:00:40 +0100

ostree (2020.5-1) unstable; urgency=medium

  * New upstream release
  * ostree-tests: Depend on gjs on s390x again.
    mozjs and gjs are believed to work fine on s390x now.

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Aug 2020 08:41:27 +0100

ostree (2020.4-2) unstable; urgency=medium

  * Depend on bsdextrautils, for hexdump (used during testing)
    - Add to Build-Depends
    - Add to ostree-tests Depends
    - Allow bsdmainutils (<< 12) as an alternative, for backports

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Aug 2020 12:33:14 +0100

ostree (2020.4-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/libostree-1-1.symbols: Update
  * Update Lintian overrides for some minor false-positives

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Jul 2020 23:43:11 +0100

ostree (2020.3-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Mar 2020 12:29:32 +0000

ostree (2020.2-1) unstable; urgency=medium

  * New upstream release
    - d/libostree-1-1.symbols: Update
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Feb 2020 21:00:11 +0000

ostree (2019.6-1) unstable; urgency=medium

  * New upstream release
    - d/libostree-1-1.symbols: Update
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support
  * d/tests: Make tests shellcheck-clean

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Dec 2019 11:30:10 +0000

ostree (2019.5-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Nov 2019 10:32:49 +0000

ostree (2019.4-1) unstable; urgency=medium

  * New upstream release
    - d/libostree-1-1.symbols: Update
    - d/copyright: Update
  * d/control: Set Vcs-Git to point to default branch again
  * Standards-Version: 4.4.1 (no changes required)
  * d/p/debian/Revert-lib-Kill-GPG-agent-when-cleaning-up-tmp-homedirs.patch:
    Drop patch, fixed differently upstream in 2019.4

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Oct 2019 09:30:23 +0100

ostree (2019.3-3) unstable; urgency=medium

  * Upload to unstable
    - d/gbp.conf: Reset packaging branch to debian/master

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Sep 2019 17:49:53 +0100

ostree (2019.3-2) experimental; urgency=medium

  [ Felix Krull ]
  * Enable ostree-boot package (Closes: #824650)
  * ostree-boot: Weaken dracut Depends to Recommends.
    The systemd parts of the package could also be used for integration
    with e.g. initramfs-tools.

  [ Simon McVittie ]
  * Switch packaging branch to debian/experimental
  * d/ostree-boot.postinst: Trigger an update of the initramfs.
    Otherwise the dracut initramfs won't be rebuilt to include ostree-boot.
  * Add instructions for testing ostree-boot.
    Thanks to Felix Krull for providing the original version of these.
  * d/copyright: Update
  * d/ostree-boot.lintian-overrides:
    Do not warn about ostree-remount.service being in local-fs.target.
    This part of the boot integration is genuinely part of an earlier
    phase of boot than sysinit.target.

 -- Simon McVittie <smcv@debian.org>  Sat, 31 Aug 2019 19:06:38 +0100

ostree (2019.3-1) unstable; urgency=medium

  * New upstream release
    - Refresh patch series
  * d/p/debian/Revert-lib-Kill-GPG-agent-when-cleaning-up-tmp-homedirs.patch:
    Skip `gpg-connect-agent` when cleaning up temporary GPG home
    directories. It appears this is sometimes done when it wasn't
    needed, causing gpg-connect-agent to wait for an agent to start so
    that it can tell it to stop, which results in a lot of noise on stderr
    when running `flatpak update`. Debian 10 has GPG 2.2, and according to
    the commit message of the commit I'm reverting here, this cleanup
    should be unnecessary with GPG >= 2.2.

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Aug 2019 11:28:27 +0100

ostree (2019.2-2) unstable; urgency=medium

  * Upload to unstable
  * d/gbp.conf: Return to debian/master branch
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
    - Disable build-time tests with DEB_BUILD_OPTIONS=nocheck for now.
      They don't currently work in the salsa-ci infrastructure, but I
      can't reproduce and debug the failure in a local Docker container.
    - Similarly, disable the autopkgtest for now.
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12
    - Override dh_installsystemd instead of dh_systemd_start
    - Stop overriding libexecdir

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Jul 2019 20:13:57 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libostree-1-1`.
